Hi,
Just did an upgrade of our GMS server - SLES11SP2> SP3, then GWM2.0>2.1
I have all the appropriate repos mirrored on our SMT server and our subscription for SLES and GroupWise are current and the SMT server is syncing every night.
I ran the SLES upgrade using Yast2 wagon, it added the new repos and upgraded successfully, however the registration failed with the following error:
Product: SUSE Linux Enterprise Server 11 SP3 (x86_64, )
Subscription: expired (full version)
Message: Subscription is expired.
Expiry: 2008-05-01 01:00:00
Product: GroupWise Mobility Service (, )
Subscription: expired (full version)
Message: Subscription is expired.
Expiry: 2008-05-01 01:00:00
A zypper lr showed the SLES11SP3 & GMS repos were actually added and active.

Then I did the GMS update and had the same errors. Here's what zypper lr gives:
# | Alias | Name | Enabled | Refresh
---+-------------------------------------------------------------+---------------------------------------------------------+---------+--------
1 | GroupWise-Mobility-Service_2.0-1.3 | GroupWise-Mobility-Service 2.0-1.3 | No | No
2 | GroupWise_Mobility_Service_2.1 | GroupWise Mobility Service 2.1 | Yes | No
3 | Mobility_Pack_1.2.2 | Mobility Pack 1.2.2 | No | No
4 | Novell-data-synchronizer-mobility-pack-x86_64-966_1.2.4 | Novell-data-synchronizer-mobility-pack-x86_64-966 1.2.4 | No | No
5 | Novell_Data_Synchronizer_Mobility_Pack_1.2.4_x64 | Novell Data Synchronizer Mobility Pack | No | No
6 | Novell_Data_Synchronizer_Mobility_Pack_1.2.5 | Novell Data Synchronizer Mobility Pack 1.2.5 | No | No
7 | Novell_Mobility_Data_Synchroniser | Novell Data Synchronizer Mobility Pack | No | No
8 | SMT-http_hamstall02v_hamcoll_sa_edu_au:Mobility-2.1-Updates | Mobility-2.1-Updates | Yes | Yes
9 | SMT-http_hamstall02v_hamcoll_sa_edu_au:SLES11-SP1-Updates | SLES11-SP1-Updates | No | No
10 | SMT-http_hamstall02v_hamcoll_sa_edu_au:SLES11-SP2-Core | SLES11-SP2-Core | No | No
11 | SMT-http_hamstall02v_hamcoll_sa_edu_au:SLES11-SP2-Updates | SLES11-SP2-Updates | No | No
12 | SMT-http_hamstall02v_hamcoll_sa_edu_au:SLES11-SP3-Pool | SLES11-SP3-Pool | Yes | Yes
13 | SMT-http_hamstall02v_hamcoll_sa_edu_au:SLES11-SP3-Updates | SLES11-SP3-Updates | Yes | Yes
14 | SUSE-Linux-Enterprise-Server-11-SP2_11.2.2-1.234 | SUSE-Linux-Enterprise-Server-11-SP2 11.2.2-1.234 | No | No
15 | novell-groupwise-mobility-service-2.0.1 | novell-groupwise-mobility-service-2.0.1 | Yes | Yes
I've highlighted the active repos in blue (haven't cleaned up the old ones yet).
When I look at the SMT Subscription Report, it's listing a number of expired subscriptions, including SLES expired 2008 and GMS expired in April 2015. Both products were renewed this year and the Subscription report shows this in the Active subscription section.
It looks like the problem is the Activation codes on the existing GMS server haven't changed, so they have now expired. Looking at the report, there are 10 other servers in the same situation. Is there some way to change the activation code to the current one?

Cheers,
Ian